Get Webhooks
curl --request GET \
--url https://api.zerocash.tech/api/b2b/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zerocash.tech/api/b2b/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zerocash.tech/api/b2b/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zerocash.tech/api/b2b/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.zerocash.tech/api/b2b/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}"{\n \"success\": true,\n \"data\": [\n {\n \"createdAt\": \"2025-05-12T15:17:54.854Z\",\n \"data\": {\n \"transactionId\": \"123456789\",\n \"status\": \"failed\",\n \"type\": \"deposit\",\n \"externalReference\": \"0987654321\"\n },\n \"response\": {\n \"status\": \"ok\"\n },\n \"event\": \"transaction_updated\",\n \"webhookUrl\": \"https://webhook.site/76e0116d-27f4-4665-bd9d-46877d95d47a\",\n \"status\": \"SUCCESS\",\n \"id\": \"fdbfjhdffndkfnkdf\n }\n ]\n}"{}Webhooks
Get Webhooks
This api allows for users to fetch their webhooks.
GET
/
api
/
b2b
/
webhooks
Get Webhooks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
CREATED, FAILED or SUCCESS are the only valid options
Format must be in YYYY-MM-DD
Format must be in YYYY-MM-DD
Maximum of 200
Pass either the transactionId or externalReference
Response
200
⌘I